EventUtil::getLastSocketError
EventUtil::getSocketName
EventUtil
PHP Manual

# EventUtil::getSocketFd

(PECL event >= 1.7.0)

EventUtil::getSocketFd — Returns numeric file descriptor of a socket, or stream

### Description

public static int EventUtil::getSocketFd ( mixed `$socket` )

Returns numeric file descriptor of a socket or stream specified by `socket` argument just like the Event extension does it internally for all methods accepting socket resource or stream.

### Parameters

`socket`

  Socket resource or stream.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`. EventUtil::getSocketFd() returns `FALSE` in case if it is whether failed to recognize the type of the underlying file, or detected that the file descriptor associated with `socket` is not valid.

EventUtil::getLastSocketError
EventUtil::getSocketName
EventUtil
PHP Manual